#!/usr/bin/python

from arsenal_lib import *

arsenal     = Arsenal()
d           = arsenal.load_project("ubuntu")

ubuntu = arsenal.launchpad.load("https://api.edge.launchpad.net/beta/ubuntu")

next_milestone = None
for series in ubuntu.series:
    print "%-10s %-10s %-10s %-20s %-25s" % (series.name, series.active, series.supported, series.status, series.date_created)
    if series.status == "Active Development" or series.status == "Pre-release Freeze":
        for milestone in series.active_milestones:
            print "    %-20s %-25s" % (milestone.name, milestone.date_targeted)
            if not next_milestone or milestone.date_targeted < next_milestone.date_targeted:
                next_milestone = milestone

print "The next milestone is ", next_milestone.name
