#!/usr/bin/python

from arsenal_lib import *

total_count = 0
source_pkg  = "xorg"
arsenal     = Arsenal()
d           = arsenal.load_project("ubuntu")

# TODO:  Get listing of xorg packages

print "=== " + source_pkg + " ==="
for bugtask in d.searchTasks(search_text=source_pkg):
    if bugtask.bug_target_display_name != source_pkg + " (Ubuntu)":
        continue

    bug = ArsenalBug(bugtask.bug, arsenal.launchpad)

    if len(bug.bug_tasks) < 2:
        continue

    text = "%-10s  %-8s  %s" % (bug.id, bugtask.status, bug.title)

    is_doubled = False
    for t in bug.bug_tasks:
        if t.bug_target_display_name == source_pkg + " (Ubuntu)":
            continue
        if t.is_complete:
            continue
        if t.bug_target_display_name.find("(Ubuntu)") == -1:
            continue
        # Check if the task is against an xorg package
        text = text + "\n%-10s  %-8s  %s" % ("", t.status, t.bug_target_display_name)
        is_doubled = True

    if is_doubled:
        print text
        total_count += 1

print total_count, " total bugs undoubled"
